{ pkgs, ... }:

{
  imports = [ ./common.nix ];

  networking.hostName = "builder";

  nix.settings = {
    max-jobs = "auto";
    substituters = [
      "https://cache.nixos.org"
      "https://cache.axiomania.org/main"
      "https://axium.cachix.org"
    ];
    trusted-public-keys = [
      "main:Uz5F0MbXItVx2XCmBbEAMmQ0T6+DZDgLaXWalh1k++o="
      "axium.cachix.org-1:BfzPfRTbbCYmaQrVLSWchgsR4ScA9ZCZ389FyWspUH8="
    ];
  };

  programs.tmux = {
    enable = true;
    extraConfig = "set -g mouse on";
  };

  environment.systemPackages = with pkgs; [
    git
    tmux
    attic-client
    cachix
    vim
    htop
    curl
    jq
    file
    binutils  # readelf, objdump, nm, strings, size
    patchelf
    zip
    unzip
  ];
}
